# Bash variables and options.
# Some of these are (now) the default but listed for completeness.
#

# Allow ^D to exit the shell.
set +o ignoreeof

# vi keys.  Not needed if .inputrc is handled properly.
set -o vi

# Don't cache missing PATH entries.
shopt -s checkhash

# Don't wait for SIGWINCH.
shopt -s checkwinsize

# Append to history.
shopt -s histappend

# Don't try to expand hostnames after @.
shopt -u hostcomplete

# Don't send HUP to jobs on exit.
shopt -u huponexit

# Handle accidental tab mashing at start of a line.
shopt -s no_empty_cmd_completion

# The Red Hat The
if [ "$OSTYPE" = "cygwin" ]; then
  shopt -s nocaseglob
else
  shopt -u nocaseglob
fi
